Subject: Re: bug#53242: [PATCH] unify reads from local_var_alist

From: Eli Zaretskii <[email-masked]>
Date: Fri, 14 Jan 2022 10:08:49 +0200

> Date: Fri, 14 Jan 2022 00:23:42 +0000
> From: Sergey Vinokurov <[email-masked]>
> 
> I've noticed that local_var_alist field of the buffer structure is 
> accessed inconsistently. Sometimes it's Fassoc, sometimes it's Fassq and 
> other times it's assq_no_quit and even an explicit loop.
> 
> I think it's safe to unify all the accesses via assq_no_quit since it's 
> an internaly maintained alist that definitely has no cycles and elements 
> are cons cells with symbol as their car.

How long can local_var_alist be?  This change will not allow the user
to C-g from a long search.  Do we care?  How about using Fassq
consistently instead?